#pragma once

#include "GobiApiService.h"

class CFuncList;

class CGobiApiSar : public CGobiApiService
{
public:
	CGobiApiSar(HMODULE hQCDll);
	~CGobiApiSar(void);

	BOOL GetAvailFuncList(CFuncList* pFuncList);
	UINT ExecuteFunctions(CFuncList* pFuncList, UINT &nTotalExec);

protected:
	static const TableFuncEntry m_TableFunc[];

	static BOOL FuncSetRfSarState(CParamList* pParams = NULL);
    static BOOL FuncGetRfSarState(CParamList* pParams = NULL);

	static CParamList CGobiApiSar::m_sSetRfSarState;
};